Get Group Members
curl --request GET \
--url https://api.vomo.org/v1/groups/{id}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/groups/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/groups/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/groups/{id}/members");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.vomo.org/v1/groups/{id}/members';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"type": "user",
"id": "7903",
"first_name": "Priya",
"last_name": "Sharma",
"full_name": "Priya Sharma",
"email": "priya.sharma@example.org",
"address": "123 Maple Ave, McKinney, TX 75069, USA",
"phone": "(555) 012-0103",
"birthday": "1990-03-15",
"gender": "F",
"created_at": "2025-11-01T09:00:00+00:00",
"updated_at": "2025-11-05T14:22:00+00:00",
"user_status": "VERIFIED",
"membership_status": "ACCEPTED",
"membership_role": "ORGANIZER"
},
{
"type": "user",
"id": "8104",
"first_name": "Aisha",
"last_name": "Mohamed",
"full_name": "Aisha Mohamed",
"email": "aisha.mohamed@example.org",
"address": "789 Birch Dr, McKinney, TX 75069, USA",
"phone": "(555) 012-0104",
"birthday": "1993-11-08",
"gender": "F",
"created_at": "2025-11-03T11:00:00+00:00",
"updated_at": "2025-11-03T11:00:00+00:00",
"user_status": "VERIFIED",
"membership_status": "ACCEPTED",
"membership_role": "VOLUNTEER"
}
],
"links": {
"first": "https://api.vomo.org/v1/groups/602/members?page=1",
"last": "https://api.vomo.org/v1/groups/602/members?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"to": 2,
"path": "https://api.vomo.org/v1/groups/602/members",
"per_page": 15,
"total": 2
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "Group not found in your organization."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Groups
Get Group Members
Returns a paginated list of all users who are members of the specified group. Use this endpoint to inspect current group membership before making changes, or to sync group membership data into an external system.
GET
https://api.vomo.org/v1
/
groups
/
{id}
/
members
Get Group Members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique VOMO identifier for the group whose members to retrieve.
Response
Returns the paginated list of users who are members of this group. The response includes pagination links and meta fields to navigate additional pages.
Last modified on June 5, 2026
Was this page helpful?
⌘I